package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备设置闹钟对象 t_device_clock
 * 
 * @author zhengjie
 * @date 2023-09-20
 */
public class TDeviceClock extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Integer id;

    /** 设置id编码 */
    @Excel(name = "设置id编码")
    private String deviceIdCode;

    /** 闹钟名称 */
    @Excel(name = "闹钟名称")
    private String alarmClock;

    /** 闹钟时间 */
    @Excel(name = "闹钟时间")
    private String clockTime;

    /** 闹钟使用 1使用 0未使用 */
    @Excel(name = "闹钟使用 1使用 0未使用")
    private Integer clockUse;

    /** 闹钟星期 */
    @Excel(name = "闹钟星期")
    private String clockWeek;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setDeviceIdCode(String deviceIdCode) 
    {
        this.deviceIdCode = deviceIdCode;
    }

    public String getDeviceIdCode() 
    {
        return deviceIdCode;
    }
    public void setAlarmClock(String alarmClock) 
    {
        this.alarmClock = alarmClock;
    }

    public String getAlarmClock() 
    {
        return alarmClock;
    }
    public void setClockTime(String clockTime) 
    {
        this.clockTime = clockTime;
    }

    public String getClockTime() 
    {
        return clockTime;
    }
    public void setClockUse(Integer clockUse) 
    {
        this.clockUse = clockUse;
    }

    public Integer getClockUse() 
    {
        return clockUse;
    }
    public void setClockWeek(String clockWeek) 
    {
        this.clockWeek = clockWeek;
    }

    public String getClockWeek() 
    {
        return clockWeek;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceIdCode", getDeviceIdCode())
            .append("alarmClock", getAlarmClock())
            .append("clockTime", getClockTime())
            .append("clockUse", getClockUse())
            .append("clockWeek", getClockWeek())
            .toString();
    }
}
